petsc-3.4.2 2013-07-02

# DMPlexGetStratumIS

Get the points in a label stratum

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetStratumIS(DM dm, const char name[], PetscInt value, IS *points)

Not Collective

### Input Parameters

| dm | - The DMPlex object
| name | - The label name
| value | - The stratum value

### Output Parameter

points -The stratum points, or NULL if the label does not exist or does not have that value

### Keywords

mesh

### See Also

DMLabelGetStratumIS(), DMPlexGetStratumSize()

Level:beginner
Location:src/dm/impls/plex/plexlabel.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex31.c.html
src/snes/examples/tutorials/ex62.c.html